Questions tagged [security-advisory]

The tag has no usage guidance.

Filter by
Sorted by
Tagged with
0 votes
1 answer
44 views

How do I know if I need to update to fix security problems?

I have recently upgraded to the latest version of CiviCRM and shortly after I received these security warnings CiviCRM Security Patch Needed "Fix security issues CIVI-SA-2023-04, -05, and -06.&...
Suri Gang's Hallen's user avatar
3 votes
0 answers
31 views

Update CiviCRM's copy of CKEditor using composer?

According to https://civicrm.org/advisory/civi-sa-2021-09-ckeditor-multiple-advisories a recommended mitigation is to replace /civicrm/bower_components/ckeditor/ with version 4.16.2 (it's currently 4....
Alan Dixon's user avatar
  • 6,766
1 vote
1 answer
43 views

What this bot/IP trying to do on my civicrm site?

I find 100s of these types of entries in my drupal log. It tries URLs like this below. It happens when there's very less traffic on our site. What is it trying to do? Is it a security threat? Can it ...
Tapash's user avatar
  • 2,948
2 votes
2 answers
59 views

PSA for CiviCRM vulnerability released 7/18/18?

I've received an notice from our Civi support saying that "The CiviCRM Security team has issued a Public Security Advisory regarding a security vulnerability. The fixes to this vulnerability will be ...
CiviLearner's user avatar
1 vote
2 answers
31 views

Is this the correct patch for CiviCRM version 4.6 here CIVI-SA-2016-23?

After receiving the security announce, i have been trying to apply the patch given here CIVI-SA-2016-23 but had this error message patch -p1 < 9482.diff patching file CRM/Utils/API/...
Kboy's user avatar
  • 1,116
1 vote
1 answer
197 views

How to install a security update [duplicate]

I need to upload the recent security update to CiviCrm 4.6.15, but I do not know how to or where to go to do same. I tried under extensions update but it did not work.
lilalynn's user avatar
5 votes
2 answers
67 views

Why do I get a security alert AFTER installing 4.6.14?

I just installed 4.6.14 on a test system, and still get the security alert popup message at the top right of the screen, and on the last line of the screen. Is this an error? I cleared caches (Civi &...
Andy Clark's user avatar
  • 4,775
6 votes
2 answers
72 views

CIVI-SA-2015-010: VERSION INFORMATION DISCLOSURE

The announcement of this security advisory (https://civicrm.org/advisory/civi-sa-2015-010-version-information-disclosure) does not provide a patch that can be applied, and examining the CiviCRM git ...
DaveD's user avatar
  • 2,465